import React, { Component } from 'react';
import App from './App';
import reducers from './reducers/reducer';
import { createStore,combineReducers } from 'redux';
import { Provider } from 'react-redux';
import {NativeEventEmitter} from 'react-native';

export default class CometChatCallingComponent extends Component{

  
    constructor(props){
        super(props);
        const rootReducer = combineReducers(reducers);
        this.storeObj = createStore(rootReducer);
    }

    componentDidMount() {
        this.eventListener = new NativeEventEmitter();
        this.eventListener.addListener('CallEvent',(type) =>{
           console.log("CallEvent received  in CallingComponent ....."+type.type);
           this.props.onEndCall();
        });
    }

    render(){
        return(
            <Provider store={this.storeObj}>
              <App sessionid={this.props.sessionid} />
            </Provider>
        );
    
    }
  }  